> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Email Inbox > Gets Omnichannel email inbox list. Permissions required:- `manage-email-inbox` ### Change | Version | Description | | ---------------- | ------------| |3.11.0-rc.0 | Added | ## OpenAPI ````json GET /api/v1/email-inbox.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Miscellaneous" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Commands" }, { "name": "Email Inbox" }, { "name": "Licenses" }, { "name": "Mailer" }, { "name": "Calendar Events" }, { "name": "WhatsApp" }, { "name": "Rasa App" }, { "name": "Jitsi App" } ], "paths": { "/api/v1/email-inbox.list": { "get": { "tags": [ "Email Inbox" ], "summary": "List Email Inbox", "description": "Gets Omnichannel email inbox list.\n\nPermissions required:- `manage-email-inbox`\n\n### Change\n| Version | Description |\n| ---------------- | ------------|\n|3.11.0-rc.0 | Added |", "operationId": "get-api-v1-email-inbox.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/query" }, { "$ref": "#/components/parameters/fields" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "emailInboxes": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "active": { "type": "boolean" }, "name": { "type": "string" }, "email": { "type": "string" }, "description": { "type": "string" }, "senderInfo": { "type": "string" }, "department": { "type": "string" }, "smtp": { "type": "object", "properties": { "server": { "type": "string" }, "port": { "type": "integer" }, "username": { "type": "string" }, "password": { "type": "string" }, "secure": { "type": "boolean" } } }, "imap": { "type": "object", "properties": { "server": { "type": "string" }, "port": { "type": "integer" }, "username": { "type": "string" }, "password": { "type": "string" }, "secure": { "type": "boolean" } } }, "_createdAt": { "type": "string" }, "_updatedAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "emailInboxes": [ { "_id": "60197e8ff82d6c83b96c53ff", "active": false, "name": "Rocket.Chat sample account", "email": "info@rocket.chat", "description": "", "senderInfo": "", "department": "GgYvrkAF63aeQmsh4", "smtp": { "server": "smtp.gmail.com", "port": 465, "username": "info@rocket.chat", "password": "kkviepoenakbccwf", "secure": true }, "imap": { "server": "imap.gmail.com", "port": 993, "username": "info@rocket.chat", "password": "kkviepoenakbccwf", "secure": true }, "_createdAt": "2021-02-02T16:32:15.069Z", "_updatedAt": "2021-09-06T17:43:49.257Z", "_createdBy": { "_id": "JxemcN9PDCdfzJeZr", "username": "renato.becker" } } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "query": { "name": "query", "in": "query", "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query=`{ \"name\": { \"$regex\": \"g\" } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": {} }, "fields": { "name": "fields", "in": "query", "description": "This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ \"username\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": { "type": "string" } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } } } } ````